function z8g(){$dd.call(this)}
function q8g(a,b,d,e){MEd.call(this,a,b,d);this.a=e}
function Reh(a){var b;if(!a.k){b=new x8g((r$i(mce(a.a)),elj(oce(a.a))));a.k=b}return a.k}
function Qeh(a){var b;if(!a.j){b=new q8g(WDd(Iae(a.a)),Reh(a),Peh(a),uKg(Cbe(a.a)));gEd((Jae(a.a),b),dFd(Jae(a.a)));a.j=b}return a.j}
function x8g(){myf.call(this,e2b);this.a=new jzf(e2b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
S1c(4501,998,yvj,q8g);_.Ti=function(){};_.Yi=function(){this.A.Br()};_.aj=function(){Stf(this.a,this)};S1c(4504,2857,zwj,x8g);_.Bh=function(){return eyf(this)};_.yr=function(){return this.a};_.zr=function(){return Z2j};_.Dr=function(){var a;a=new BZf(this.n);K_d(a,xDj,F_d(AL(T0c,puj,263,[j$i(OZi(this.r,Pxj),AL(q0c,puj,235,[])),j$i(OZi(this.r,vVj),AL(q0c,puj,235,[]))])));return a};_.Hr=function(){var a,b;b=new Kpg(5);O5c(b,new w1g,VEj);a=new z8g;a6c(b,b.u.b,a,new aed(ZVj));return b};S1c(4505,661,fvj,z8g);_.qd=function(a){return a.aL()};S1c(4572,1,ewj);_.td=function(){EFd(this.b,Qeh(this.a.a))};var W0b=xMd(4501),Y0b=xMd(4504),X0b=xMd(4505);Swj(yo)(18);